Check Coupon Availability
1 min
GET
https://api.upstartcommerce.com/v1/promotion/coupon/{couponId}/check
couponIdstring<p>Unique identifier for coupon (coupon code).</p>
timezoneIdstring<p>Timezone id (tz database). If not specified - tenant's default timezone is used.</p>
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success-coupon available.</p>
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
410The requested resource is no longer available at the server and no forwarding address is known.
curl --request GET \
--url https://api.upstartcommerce.com/v1/promotion/coupon/{couponId}/check \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'